> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yafacture.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener impuestos



## OpenAPI

````yaml https://rest.yafacture.com/openapi-facturacion.json get /impuestos
openapi: 3.0.0
info:
  title: Yafacture
  description: Yafacture API
  version: '1.0'
  contact:
    name: Yafacture
    url: https://yafacture.com
    email: hola@yafacture.com
servers:
  - url: https://rest.yafacture.com
security: []
tags: []
paths:
  /impuestos:
    get:
      tags:
        - Impuestos
      summary: Obtener impuestos
      operationId: ImpuestosController_controllerGetImpuestos
      parameters:
        - name: year
          required: true
          in: query
          schema:
            type: string
        - name: month
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImpuestosDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden resource
                  error:
                    type: string
                    example: Forbidden
                  statusCode:
                    type: integer
                    format: int32
                    example: 403
                required:
                  - message
                  - error
                  - statusCode
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    ImpuestosDto:
      type: object
      properties:
        emisorId:
          type: string
          description: Identificador único del emisor
        impuestosCalculosId:
          type: string
          description: Identificador único del cálculo de impuestos
        fechaImpuesto:
          type: number
          description: Fecha del impuesto (timestamp)
        editable:
          type: boolean
          description: Indica si el impuesto es editable
          default: true
        fechaCreacion:
          format: date-time
          type: string
          description: Fecha de creación del registro
        fechaActualizacion:
          format: date-time
          type: string
          description: Fecha de última actualización del registro
      required:
        - emisorId
        - impuestosCalculosId
        - fechaImpuesto
        - editable
        - fechaCreacion
        - fechaActualizacion
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        X-API-Key authentication header for the development token generated in
        Yafacture
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````